use std::io;

fn caesar_cipher(text: &mut String, rotation: u32) {
    let mut message = String::new();

    for char in text.chars() {
        if char.is_alphabetic() {
            let base = if char.is_lowercase() {
                'a' as u32
            } else {
                'A' as u32
            };
            let shifted = (char as u32 - base + rotation) % 26;
            let result = (shifted + base) as u8 as char;
            message.push(result);
        } else {
            message.push(char);
        }
    }

    *text = message;
}

fn main() {
    println!("What's the message to rotate ?");

    let mut message = String::new();

    io::stdin()
        .read_line(&mut message)
        .expect("expected a message to be sent");

    let mut rotation = String::new();

    println!("What's the rotation to do ?");

    io::stdin()
        .read_line(&mut rotation)
        .expect("expected a roation to be sent");

    let rotation: u32 = rotation.trim().parse().expect("expected to parse");

    caesar_cipher(&mut message, rotation);

    println!("ROT-{} is: {}", rotation, message);
}
