use std::fs;

fn is_palindrome(str: &str) -> bool {
    let reversed = str.chars().rev().collect::<String>();
    str == reversed
}

fn main() {
    const PATH: &str = "palindrome.txt";

    let content = fs::read_to_string(PATH).expect("should have been able to read the file");

    let palindromes: Vec<&str> = content
        .split(",")
        .filter(|str| is_palindrome(str))
        .collect();

    println!("Palindrome(s): {:?}", palindromes);
}
