use std::fs;

fn main() {
    const PATH: &str = "letterCount.txt";

    let content = fs::read_to_string(PATH).expect("should have been able to read the file");

    let words: Vec<&str> = content.split_whitespace().collect();

    let total_length = words
        .iter()
        .map(|&word| word.replace(&[',', '.'], "").chars().count())
        .sum::<usize>() as f64;

    let average_length = if words.is_empty() {
        0.0
    } else {
        total_length / words.len() as f64
    };

    let formated_result = format!("{:.2}", average_length).replace(".", ",");

    println!("The average length is of: {}", formated_result);
}
