use std::fs;

fn main() {
    const PATH: &str = "100days.txt";

    let content = fs::read_to_string(PATH).expect("should have been able to read the file");

    let mut expenses: Vec<u32> = content
        .split(",")
        .map(|x| x.trim().parse().expect("encountered a error while parsing"))
        .collect();

    for i in 0..expenses.len() {
        let mut max = i;
        for j in (i + 1)..expenses.len() {
            if expenses[j] > expenses[max] {
                max = j;
            }
        }
        if i != max {
            expenses.swap(i, max);
        }
    }

    let top_10_expenses: Vec<u32> = expenses.iter().skip(1).take(10).cloned().collect();

    println!("Desc sorted expenses : {:?}", expenses);
    println!("10 days : {:?}", top_10_expenses);
    println!("Sum : {:?}", top_10_expenses.iter().sum::<u32>());
}
